package com.chenyang.nse.bussiness.entity.vo;

public class AutoFieldVO {
   private String columnName;
   private String columnType;
   private Integer originalLength;
   private Integer bestLength;
   private String isLike;
   private String keepfirst;
   private String encdigit;
   private String twoindex;

   public String getColumnName() {
      return this.columnName;
   }

   public String getColumnType() {
      return this.columnType;
   }

   public Integer getOriginalLength() {
      return this.originalLength;
   }

   public Integer getBestLength() {
      return this.bestLength;
   }

   public String getIsLike() {
      return this.isLike;
   }

   public String getKeepfirst() {
      return this.keepfirst;
   }

   public String getEncdigit() {
      return this.encdigit;
   }

   public String getTwoindex() {
      return this.twoindex;
   }

   public void setColumnName(final String columnName) {
      this.columnName = columnName;
   }

   public void setColumnType(final String columnType) {
      this.columnType = columnType;
   }

   public void setOriginalLength(final Integer originalLength) {
      this.originalLength = originalLength;
   }

   public void setBestLength(final Integer bestLength) {
      this.bestLength = bestLength;
   }

   public void setIsLike(final String isLike) {
      this.isLike = isLike;
   }

   public void setKeepfirst(final String keepfirst) {
      this.keepfirst = keepfirst;
   }

   public void setEncdigit(final String encdigit) {
      this.encdigit = encdigit;
   }

   public void setTwoindex(final String twoindex) {
      this.twoindex = twoindex;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof AutoFieldVO)) {
         return false;
      } else {
         AutoFieldVO other = (AutoFieldVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$columnName = this.getColumnName();
            Object other$columnName = other.getColumnName();
            if (this$columnName == null) {
               if (other$columnName != null) {
                  return false;
               }
            } else if (!this$columnName.equals(other$columnName)) {
               return false;
            }

            Object this$columnType = this.getColumnType();
            Object other$columnType = other.getColumnType();
            if (this$columnType == null) {
               if (other$columnType != null) {
                  return false;
               }
            } else if (!this$columnType.equals(other$columnType)) {
               return false;
            }

            Object this$originalLength = this.getOriginalLength();
            Object other$originalLength = other.getOriginalLength();
            if (this$originalLength == null) {
               if (other$originalLength != null) {
                  return false;
               }
            } else if (!this$originalLength.equals(other$originalLength)) {
               return false;
            }

            Object this$bestLength = this.getBestLength();
            Object other$bestLength = other.getBestLength();
            if (this$bestLength == null) {
               if (other$bestLength != null) {
                  return false;
               }
            } else if (!this$bestLength.equals(other$bestLength)) {
               return false;
            }

            Object this$isLike = this.getIsLike();
            Object other$isLike = other.getIsLike();
            if (this$isLike == null) {
               if (other$isLike != null) {
                  return false;
               }
            } else if (!this$isLike.equals(other$isLike)) {
               return false;
            }

            Object this$keepfirst = this.getKeepfirst();
            Object other$keepfirst = other.getKeepfirst();
            if (this$keepfirst == null) {
               if (other$keepfirst != null) {
                  return false;
               }
            } else if (!this$keepfirst.equals(other$keepfirst)) {
               return false;
            }

            Object this$encdigit = this.getEncdigit();
            Object other$encdigit = other.getEncdigit();
            if (this$encdigit == null) {
               if (other$encdigit != null) {
                  return false;
               }
            } else if (!this$encdigit.equals(other$encdigit)) {
               return false;
            }

            Object this$twoindex = this.getTwoindex();
            Object other$twoindex = other.getTwoindex();
            if (this$twoindex == null) {
               if (other$twoindex != null) {
                  return false;
               }
            } else if (!this$twoindex.equals(other$twoindex)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof AutoFieldVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $columnName = this.getColumnName();
      result = result * 59 + ($columnName == null ? 43 : $columnName.hashCode());
      Object $columnType = this.getColumnType();
      result = result * 59 + ($columnType == null ? 43 : $columnType.hashCode());
      Object $originalLength = this.getOriginalLength();
      result = result * 59 + ($originalLength == null ? 43 : $originalLength.hashCode());
      Object $bestLength = this.getBestLength();
      result = result * 59 + ($bestLength == null ? 43 : $bestLength.hashCode());
      Object $isLike = this.getIsLike();
      result = result * 59 + ($isLike == null ? 43 : $isLike.hashCode());
      Object $keepfirst = this.getKeepfirst();
      result = result * 59 + ($keepfirst == null ? 43 : $keepfirst.hashCode());
      Object $encdigit = this.getEncdigit();
      result = result * 59 + ($encdigit == null ? 43 : $encdigit.hashCode());
      Object $twoindex = this.getTwoindex();
      result = result * 59 + ($twoindex == null ? 43 : $twoindex.hashCode());
      return result;
   }

   public String toString() {
      return "AutoFieldVO(columnName=" + this.getColumnName() + ", columnType=" + this.getColumnType() + ", originalLength=" + this.getOriginalLength() + ", bestLength=" + this.getBestLength() + ", isLike=" + this.getIsLike() + ", keepfirst=" + this.getKeepfirst() + ", encdigit=" + this.getEncdigit() + ", twoindex=" + this.getTwoindex() + ")";
   }
}
